Danh sách — bản ghi phòng thủ xác thực

Lấy danh sách / dữ liệu bản ghi phòng thủ xác thực trong nhóm Xác thực & Người dùng hệ thống của HiTechCloud WAF.

Xem Markdown

Lấy danh sách / dữ liệu bản ghi phòng thủ xác thực trong nhóm Xác thực & Người dùng hệ thống của HiTechCloud WAF. (Chức năng: get auth logs).

Endpoint

MethodEndpointMô tả
GET/api/open/records/auth_defenseLấy danh sách / dữ liệu bản ghi phòng thủ xác thực

Tham số

Tham sốVị tríKiểuBắt buộcMô tả
ipQuerystringKhôngTham số lọc/truy vấn.
pageQueryintegerKhôngTham số lọc/truy vấn.
page_sizeQueryintegerKhôngTham số lọc/truy vấn.
siteQuerystringKhôngTham số lọc/truy vấn.
started_at_beginQueryintegerKhôngTham số lọc/truy vấn.
started_at_endQueryintegerKhôngTham số lọc/truy vấn.

Kiểm thử tại chỗ

GEThttps://vcwaf.hitechcloud.vn/api/open/records/auth_defense

Nhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.

Query
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/open/records/auth_defense?ip=&page=&page_size=&site=&started_at_begin=&started_at_end=" \
  -H "Authorization: Bearer YOUR_TOKEN"
Phản hồi mẫu
{
  "data": {
    "data": [
      {
        "city": "string",
        "country": "string",
        "created_at": "2026-01-01 08:00:00",
        "deny_count": 20,
        "dur_sec": 1,
        "ended_at": 1767225600,
        "event_id": "a1b2c3d4",
        "id": 1024,
        "ip": "203.0.113.10",
        "pass_count": 20,
        "province": "string",
        "rule_id": 1024,
        "site_comment": "mo ta",
        "site_icon": "string",
        "site_id": 1024,
        "site_server_names": [],
        "site_title": "example",
        "started_at": 1767225600,
        "trigger_count": 20,
        "updated_at": "2026-01-01 08:00:00",
        "username": "example"
      }
    ],
    "total": 20
  },
  "err": "",
  "msg": "ok"
}